Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSpinnerOperator.ExactScrollAdjuster

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.JSpinnerOperator.ObjectScrollAdjuster
            |
            +--org.netbeans.jemmy.operators.JSpinnerOperator.ExactScrollAdjuster

All Implemented Interfaces:
  ScrollAdjuster

Enclosing class:
  JSpinnerOperator

public static class JSpinnerOperator.ExactScrollAdjuster
extends JSpinnerOperator.ObjectScrollAdjuster

Class for a scrolling of a spinner having unknown model type. Checks spinner value for exact equality with a specified value.

Fields inherited from interface org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster
`DECREASE_SCROLL_DIRECTION, DO_NOT_TOUCH_SCROLL_DIRECTION, INCREASE_SCROLL_DIRECTION`

Constructor Summary
`JSpinnerOperator.ExactScrollAdjuster(JSpinnerOperator oper, java.lang.Object obj, int direction)` Constructs a `ExactScrollAdjuster` object.

Method Summary
`boolean` | `equals(java.lang.Object curvalue)`
`java.lang.String` | `getDescription()` Returns a printable scrolling description.
`int` | `getScrollOrientation()` Returns scrolling orientation.

Methods inherited from class org.netbeans.jemmy.operators.JSpinnerOperator.ObjectScrollAdjuster
`getScrollDirection`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSpinnerOperator.ExactScrollAdjuster

    public JSpinnerOperator.ExactScrollAdjuster(JSpinnerOperator oper,
                                                java.lang.Object obj,
                                                int direction)

  Constructs a `ExactScrollAdjuster` object.
  Parameters:
    `oper` - an operator to work with.
    `direction` - a scrolling direction - one of `ScrollAdjuster.*_SCROLL_DIRECTION` fields.

Method Detail

### equals

    public boolean equals(java.lang.Object curvalue)

  Overrides:
    `equals` in class `JSpinnerOperator.ObjectScrollAdjuster`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ScrollAdjuster`
  Returns a printable scrolling description.
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    a description.

### getScrollOrientation

    public int getScrollOrientation()

  Description copied from interface: `ScrollAdjuster`
  Returns scrolling orientation.
  Overrides:
    `getScrollOrientation` in class `JSpinnerOperator.ObjectScrollAdjuster`
  Following copied from interface: `org.netbeans.jemmy.drivers.scrolling.ScrollAdjuster`
  Returns:
    one of the values: Adjustable.HORIZONTAL or Adjustable.VERTICAL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD